package com.chinaweal.aiccs.aiccs.business.entity.dto;

import com.chinaweal.aiccs.aiccs.business.rules.model.NodeModel;

import java.time.LocalDateTime;

/**
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021/1/29 17:11
 **/
public class ResultMap {
    private String workflowid;
    private String parentWorkflowid;
    private String workflowCode;
    private String workflowName;
    private String groupid;
    private LocalDateTime laupTime;
    private NodeModel currentNode;
    private boolean isEnd;
    private boolean isHasChildProcess;

    public LocalDateTime getLaupTime() {
        return laupTime;
    }

    public void setLaupTime(LocalDateTime laupTime) {
        this.laupTime = laupTime;
    }

    public String getWorkflowid() {
        return workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }

    public String getParentWorkflowid() {
        return parentWorkflowid;
    }

    public void setParentWorkflowid(String parentWorkflowid) {
        this.parentWorkflowid = parentWorkflowid;
    }

    public String getWorkflowCode() {
        return workflowCode;
    }

    public void setWorkflowCode(String workflowCode) {
        this.workflowCode = workflowCode;
    }

    public String getWorkflowName() {
        return workflowName;
    }

    public void setWorkflowName(String workflowName) {
        this.workflowName = workflowName;
    }

    public String getGroupid() {
        return groupid;
    }

    public void setGroupid(String groupid) {
        this.groupid = groupid;
    }

    public NodeModel getCurrentNode() {
        return currentNode;
    }

    public void setCurrentNode(NodeModel currentNode) {
        this.currentNode = currentNode;
    }

    public boolean isEnd() {
        return isEnd;
    }

    public void setEnd(boolean isEnd) {
        this.isEnd = isEnd;
    }

    public boolean isHasChildProcess() {
        return isHasChildProcess;
    }

    public void setHasChildProcess(boolean isHasChildProcess) {
        this.isHasChildProcess = isHasChildProcess;
    }
}
